import { Config } from '../config';
import { Payload } from '../payload';
import { Events } from 'ionic-angular';
import { Socket } from '../socket';
export declare class Api {
    private appConfig;
    private socketService;
    private payloadProvider;
    private events;
    private static transactions;
    private static timeoutCheckInterval;
    constructor(appConfig: Config, socketService: Socket, payloadProvider: Payload, events: Events);
    addTransaction(lambda: string, request: object, opts?: object): any;
    private transactionResponse(rx);
    private processTransaction(pid);
    private static checkTimeouts();
    private static startTimeoutCheck();
    private static stopTimeoutCheck();
}
