import { Consul } from '../consul';
import { Storage } from '@ionic/storage';
import { Events } from 'ionic-angular';
export declare class Config {
    private storage;
    private consul;
    private events;
    private storeName;
    constructor(storage: Storage, consul: Consul, events: Events);
    private static STATE;
    initialize(domain?: string): Promise<null>;
    refresh(domain?: boolean, reset?: boolean): Promise<{}>;
    set(key: string, value: any): void;
    _set(key: string, value: any): Promise<{}>;
    get(value: string, defaultValue: any): any;
    _get(value: string, defaultValue: any): Promise<{}>;
    getRemoteConfig(domain: string): Promise<{}>;
    private updateConfig(config);
    private saveConfigToStorage();
    private loadConfigFromStorage();
}
