import { Platform } from 'ionic-angular';
import { Device as IonicDevice } from '@ionic-native/device';
import { BatteryStatus } from '@ionic-native/battery-status';
import { AppVersion } from '@ionic-native/app-version';
import 'rxjs/add/operator/map';
import { iDevice } from '../models/device';
import { Utils } from '../utils';
export declare class Device {
    plt: Platform;
    private utils;
    private batteryStatus;
    private appVersion;
    interface: iDevice;
    device: IonicDevice;
    battery: object;
    constructor(plt: Platform, utils: Utils, batteryStatus: BatteryStatus, appVersion: AppVersion);
    platform(): string;
    uuid(): string;
    getDevice(): Promise<iDevice>;
    isCordova(): boolean;
    getPlatformFromAgent(): "unknown" | "web" | "windows" | "android" | "ios";
}
