import { Injectable } from "@angular/core";
import { ToastController } from 'ionic-angular';
var Toast = (function () {
    function Toast(toastCtrl) {
        this.toastCtrl = toastCtrl;
    }
    Toast.prototype.toast = function (message) {
        var toast = this.toastCtrl.create({
            message: message,
            duration: 3000,
            position: 'bottom'
        });
        toast.onDidDismiss(function () {
            console.log('Dismissed toast');
        });
        toast.present();
    };
    Toast.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    Toast.ctorParameters = function () { return [
        { type: ToastController, },
    ]; };
    return Toast;
}());
export { Toast };
//# sourceMappingURL=index.js.map