import { CodePush } from '@ionic-native/code-push';
import { Config } from '../config';
import { iDevice } from '../models/device';
import { Device } from '../device';
import { AlertController } from 'ionic-angular';
import { Utils } from '../utils';
import { Toast } from '../toast';
export declare class Update {
    private codePush;
    private deviceProvider;
    private toastService;
    private alertCtrl;
    private utilsProvider;
    private appConfig;
    deploymentKey: string;
    device: iDevice;
    enabled: boolean;
    isAlertShowing: boolean;
    currentPackage: object;
    constructor(codePush: CodePush, deviceProvider: Device, toastService: Toast, alertCtrl: AlertController, utilsProvider: Utils, appConfig: Config);
    getCurrent(): Promise<{}>;
    checkForUpdate(): void;
    sync(): void;
    restart(): void;
    private confirmRestart();
    private confirmUpdate(details);
    isSuccessful(): void;
    private updateNotAvailable();
}
