import { Device } from '../device';
import { WebSql } from './websql';
import { Sqlite } from './sqlite';
export declare class Database {
    private device;
    private websql;
    private sqlite;
    constructor(device: Device, websql: WebSql, sqlite: Sqlite);
    create(table: any, columns: any): Promise<{}>;
    set(table: any, values: any): Promise<{}>;
    get(table: any, where?: any): Promise<{}>;
    remove(table: any, where?: any): Promise<{}>;
    nuke(table: any): Promise<{}>;
}
