import { Device } from '../device';
import { BackgroundGeolocation } from '@ionic-native/background-geolocation';
import { AlertController } from 'ionic-angular';
import { Diagnostic } from '@ionic-native/diagnostic';
export declare class Location {
    private device;
    private backgroundGeolocation;
    private alertCtrl;
    private diagnostic;
    geolocation: any;
    options: any;
    constructor(device: Device, backgroundGeolocation: BackgroundGeolocation, alertCtrl: AlertController, diagnostic: Diagnostic);
    locationEnablePrompt(): void;
    locationRuntimePermission(): Promise<any>;
    private checkLocationAuthorized();
    getLocation(): Promise<{}>;
}
