import io from "socket.io-client";
import { Events } from 'ionic-angular';
import { Config } from '../config';
import { Device } from '../device';
import { iChannel } from '../models/channel';
import { iDevice } from '../models/device';
export declare class Socket {
    private events;
    private config;
    channel: iChannel;
    device: iDevice;
    domain: string;
    key: string;
    deviceProvider: Device;
    socket: io.Socket;
    isConnected: boolean;
    private eventRegister;
    constructor(deviceProvider: Device, events: Events, config: Config);
    connected(): Boolean;
    disconnect(): void;
    getSocket(): any;
    connect(): Promise<{}>;
    transaction(transaction: any): void;
    addEvent(eventName: string, execute: any): void;
    removeEvent(eventName: string): any;
    listEvents(): any;
    private getSocketOptions();
}
