import { Injectable } from '@angular/core';
var Status = (function () {
    function Status() {
        Status.StatusMap = new Map([
            [Status.SUCCESS, 'Transaction Successful'],
            [Status.NOT_CONNECTED, 'Device Not Connected'],
            [Status.TX_TIMEOUT, 'Transaction timeout'],
            [Status.LAMBDA_NOT_AVAILABLE, 'Requested Lambda is not available']
        ]);
    }
    Status.get = function (id) {
        return Status.StatusMap.get(id);
    };
    Status.SUCCESS = 0;
    Status.NOT_CONNECTED = 1;
    Status.TX_TIMEOUT = 2;
    Status.LAMBDA_NOT_AVAILABLE = 3;
    Status.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    Status.ctorParameters = function () { return []; };
    return Status;
}());
export { Status };
//# sourceMappingURL=index.js.map