import { Injectable } from "@angular/core";
import { ToastController } from 'ionic-angular';


@Injectable()
export class Toast {

    constructor(private toastCtrl: ToastController) {

    }

    public toast(message) {

        let toast = this.toastCtrl.create({
            message: message,
            duration: 3000,
            position: 'bottom'
        });

        toast.onDidDismiss(() => {
            console.log('Dismissed toast');
        });

        toast.present();



    }


}